Help Center
Get a portal details
Get the details of a portal in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
portals
/
{id}
Get a portal details
curl --request GET \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/portals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/portals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/portals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"archived": false,
"color": "#1F93FF",
"config": {
"allowed_locales": [
{
"code": "en",
"articles_count": 32,
"categories_count": 9
}
]
},
"custom_domain": "chatwoot.help",
"header_text": "Handbook",
"homepage_link": "https://www.chatwoot.com",
"name": "Handbook",
"slug": "handbook",
"page_title": "Handbook",
"account_id": 123,
"inbox": {
"id": 123,
"name": "Chatwoot",
"website_url": "chatwoot.com",
"channel_type": "Channel::WebWidget",
"avatar_url": "https://example.com/avatar.png",
"widget_color": "#1F93FF",
"website_token": "4cWzuf9i9jxN9tbnv8K9STKU",
"enable_auto_assignment": true,
"web_widget_script": "<script>...</script>",
"welcome_title": "Hi there ! ๐๐ผ",
"welcome_tagline": "We make it simple to connect with us.",
"greeting_enabled": true,
"greeting_message": "Hey there ๐, Thank you for reaching out to us.",
"channel_id": 123,
"working_hours_enabled": true,
"enable_email_collect": true,
"csat_survey_enabled": true,
"timezone": "America/Los_Angeles",
"business_name": "Chatwoot",
"hmac_mandatory": true
},
"logo": {
"id": 123,
"portal_id": 123,
"file_type": "image/png",
"account_id": 123,
"file_url": "https://example.com/logo.png",
"blob_id": 123,
"filename": "square.png"
},
"meta": {
"all_articles_count": 32,
"categories_count": 9,
"default_locale": "en"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userBearerAuthuserApiKey
Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
Path Parameters
The numeric ID of the account
The slug identifier of the portal
Response
Success
The ID of the portal
Whether the portal is archived
The color code for the portal
Configuration settings for the portal
Show child attributes
Show child attributes
Custom domain for the portal
The header text for the portal
Homepage link for the portal
Name of the portal
URL slug for the portal
Page title for the portal
ID of the account the portal belongs to
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
โI
Get a portal details

